/* Import Harriet Display Black */
@import url(//db.onlinewebfonts.com/c/7a3a4b15ab4e6b71aea71357d14ce144?family=Harriet+Display+Black);
/* Import Montserrat */
@import url('https://fonts.googleapis.com/css?family=Montserrat&display=swap');

/* customScrollBar */
::-webkit-scrollbar-track {
    border: 3px solid #ffffff00;
    background-color: #272727;
}

::-webkit-scrollbar {
    width: 10px;
    background-color: rgb(88, 88, 88);
}

::-webkit-scrollbar-thumb {
    background-color: #0bb76a;
}

/* disable overflow-X during developement */
html {
    overflow-x: hidden;
    margin: 0 auto;
}

body { 
    padding-right: 0 !important 
}

/* CHARACTERS & FONT SYSTEM */

p {
    font-family: 'Montserrat', sans-serif;
}

.harriet {
    font-family: "Harriet Display Black";
}

.main-title{
    color: #272727;
    position: absolute;
    font-size: 12rem;
    top: 80px;
    left: 138px;
}

/* FONT COLOR SYSTEM */
.dark-grey {
    color: #272727;
}

.dark-grey:hover {
    color: #0bb76a;
}

.border-yellow{
    border-bottom: 5px solid #ffcf56;
}
.border-yellow-top{
    border-top: 5px solid #ffcf56;
}

/* BACKGROUND SYSTEM */

.bg-green {
    background-color: #0bb76a;
}

.bg-darkest{
    background-color: #272727c4;
}

.green-text{
    color: #0bb76a;
}

.bg-yellow {
    background-color: #ffcf56;
}

.send-icon {
    color: #272727;
}

.send-icon:hover {
    color: #0bb76a;
}

.liquid {
    background-image: url('../img/liquid.png');
    width: 100vw;
    height: 100vh;
}

.liquid-white {
    background-image: url('../img/liquid-white.png');
    width: 100vw;
    height: 100vh;
}

.r-section {
    height: 100vh;
    max-height: 100vh;
}

.social-media {
    top: 90vh;
    position: absolute;
}

.pp {
    width: 275px;
    height: 250px;
}

.square {
    background-color: #0bb76a;
    position: absolute;
    left: 450px;
    top: 100px;
    min-width: 500px;
    min-height: 500px;
    z-index: 0;
}

.line {
    background-color: #272727;
    position: absolute;
    z-index: 1;
    width: 0.2%;
    height: 400px;
    top: 450px;
    left: 800px;

}

.subtitle-title {
    position: absolute;
    z-index: 1;
    top: 272px;
    right: 800px;
}

.img-project {
    width: 270px !important;
    height: 275px !important;
}

.zoom {
    transition: transform .2s;
    cursor: pointer;
}

.zoom:hover {
    transform: scale(0.8);
}

/* INPUT CONTACT SECTION */
.form__group {
    position: relative;
    padding: 15px 0 0;
    margin-top: 10px;
    width: 100%;
}

.form__field {
    font-family: inherit;
    width: 80%;
    border: 0;
    border-bottom: 3px solid #272727;
    outline: 0;
    font-size: 1.3rem;
    color: #272727;
    padding: 7px 0;
    background: transparent;
    transition: border-color 0.2s;
}

.form__field::placeholder {
    color: transparent;
}

.form__field:placeholder-shown~.form__label {
    font-size: 1.3rem;
    top: 20px;
}

.form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: #272727;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
}

.form__field:focus {
    padding-bottom: 6px;
    font-weight: 700;
    color: #0bb76a;
    border-width: 3px;
    border-image: linear-gradient(to right, #0bb76a, #0bb76a);
    border-image-slice: 1;
}

.form__field:focus~.form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: #0bb76a;
    font-weight: 700;
}

/* reset input */
.form__field:required,
.form__field:invalid {
    box-shadow: none;
}

/* navBar */
nav#dot-nav {
    position: fixed;
    right: 30px;
    bottom: 30px;
}

nav#dot-nav a {
    border: 1px solid #000000;
    background: #000000;
    border-radius: 50%;
    width: 10px;
    height: 10px;
    display: block;
    margin: 10px;
    -webkit-transition: all 0.4;
    transition: all 0.4;
}

nav#dot-nav a.active {
    background: #0bb76a;
}

/* MODAL TEST */

.modal{
    padding: 0 0 !important;
    margin: 0 0 !important;
}
.modal-content{
    background-color: #15ac68;
    width: 800px !important;
    border-radius: 0px;
}

.modal-header{
    border-bottom: none;
    background-color: #0bb76a;
}

.modal-footer{
    border-top: none;
}

button.close:focus{
    border-color: inherit;
    box-shadow: none;
}

.close{
    text-shadow: none;
    opacity: 1;
}

.modal-dialog {
    max-width: 682px;
    margin: 1.75rem auto;
}

.skills_modal{
    width: 48px;
    height: 50px;
    filter: invert();
}

.border_bottom_title{
    border-bottom: #000000 0px solid;
    width: 100%;
}

.btn-visit{
    background-color: #ffcf56;
}

.btn-visit:hover{
    background-color: #e0ae2f;
}

.btn:focus{
    box-shadow: none;
    border-color: transparent;
}

/* MEDIAQUERIES */
@media (min-width: 1200px) {

    /* .subtitle-title {
        top: 272px;
        right: 35%;
    } */

    .img-project {
        width: 225px !important;
        height: 225px !important;
    }
    
}

@media (min-width: 992px) and (max-width: 1199.98px) {

    /* .subtitle-title {
        top: 272px;
        right: 210px;
    } */

    .img-project {
        width: 210px !important;
        height: 210px !important;
    }

}

